%define		_sysconfdir	/etc
%define		_libexecdir	%{_bindir}
%define		_localstatedir	/var
%define		_datadir	/usr/share
%define		_aclocaldir	/usr/share/aclocal
Summary:	GNU automake - Makefile configuration tools
Name:		automake-devel
Version:	1.7.9
Release:	1
License:	GPL
Group:		Development
Source0:	http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.bz2
BuildRequires:	autoconf-devel >= 2.59 perl
Requires:	perl autoconf-devel >= 2.59 help2man
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:       automake

%description
* Build me 2nd.
cvs -z3 -d :pserver:anoncvs@subversions.gnu.org:/cvsroot/automake co automake

Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

%prep
%setup -q -n automake-%{version}

%build
%configure \
            --host=i386-pc-linux-gnu \
	    --build=i386-pc-linux-gnu \
	    --enable-nls \
	    --without-included-gettext
make; # make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}
